<?php 

/**

* Plugin Name: Ominis Shortcodes

* Plugin URI: http://onaweb.cat

* Description: Plugin para interpretar shortcodes para crear estructuras de Bootstrap.

* Version: 1.0

* Author: Onaweb

* Author URI: http://onaweb.cat

**/



// Add menu item

add_action('admin_menu', 'ominis_shortcodes_menu');



// Config menu item 

function ominis_shortcodes_menu(){

        add_menu_page( 'Ominis Shortcodes Instrucciones', 'O Shortcodes', 'manage_options', 'ominis-shortcodes', 'ominis_shortcodes_instrucciones', 'dashicons-hammer', 75 );

		//add_submenu_page ( 'tools.php', 'Ominis Shortcodes Instrucciones', 'Ominis Shortcodes', 'manage_options', 'ominis-shortcodes', 'ominis_shortcodes_instrucciones', 'dashicons-hammer' );

}



// Content of welcome page with instructions

function ominis_shortcodes_instrucciones() {

?>

	<div class="wrap">

		<h2>Ominis Shortcodes: Instrucciones <small>1.0.0</small></h2>



		<p>

		Tienes disponibles tres [shortcodes] para generar el componente de <em>card</em> de Bootstrap 4:

		</p>

		<dl>

			<dt style="font-weight:bold;">[panel]...[/panel]</dt>

			<dd>Este shortcode abre y cierra el componente de <em>card</em>.</dd>

			

			<dt style="font-weight:bold;">[panel_texto]...[/panel_texto]</dt>

			<dd>Dentro de [panel], Este shortcode abre y cierra el área de texto.</dd>

			

			<dt style="font-weight:bold;">[panel_img]...[/panel_img]</dt>

			<dd>Dentro de [panel], Este shortcode abre y cierra el área para las imágenes.</dd>

			

		</dl>

	</div>

<?php	

}



 /**

 * SHORTCODE OPTIONS.

 */

//[panel]

function panel_func( $atts, $content = null){

	$texto = "<dl class=\"card\">" . str_replace("<br />","",do_shortcode($content)) ."</dl>";

	return $texto;

}

add_shortcode( 'panel', 'panel_func' );



//[panel_texto]

function panel_texto_func( $atts, $content = null){

	$texto = "<dd class=\"card-body text-justify\">" . do_shortcode($content) ."</dd>";

	return $texto;

}

add_shortcode( 'panel_texto', 'panel_texto_func' );



//[panel_img]

function panel_img_func( $atts, $content = null){	

	$texto = "<dt class=\"card-footer\">" . do_shortcode($content) ."</dt>";

	return $texto;

}

add_shortcode( 'panel_img', 'panel_img_func' );

